Index: trunk/sources/HeuristicLab 3.3 Tests.vsmdi
===================================================================
--- trunk/sources/HeuristicLab 3.3 Tests.vsmdi	(revision 9819)
+++ trunk/sources/HeuristicLab 3.3 Tests.vsmdi	(revision 9820)
@@ -13,8 +13,8 @@
       <TestLink id="bc68e399-f34c-453c-97cf-8944ad7322bb" name="CreateEsGriewankSampleTest" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
       <TestLink id="9ae4cc78-7549-dc4a-739c-e2823b7436e5" name="RunGpArtificialAntSampleTest" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
-      <TestLink id="c8cecb75-207d-f575-c608-19dcc1793616" name="RunPsoSchwefelSampleTest" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
       <TestLink id="e9c9efed-9a10-0c35-986e-2fc14453bd37" name="CreateScatterSearchVRPSampleTest" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
       <TestLink id="8dd6801d-950c-d10c-e409-d49b7dd31c52" name="CreatePsoSchwefelSampleTest" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
       <TestLink id="2c123c71-84a9-cbda-33d0-cdc7eddc5c28" name="RunIslandGaTspSampleTest" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
+      <TestLink id="04563734-217f-864b-fe15-b97f93e0d476" name="CreateRAPGASchedulingSampleTest" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
       <TestLink id="1d01a322-1e25-6da6-0c91-90b8a1368ca4" name="CreateVnsTspSampleTest" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
       <TestLink id="76ece8b3-30dc-0ee5-c096-33480bbd1683" name="CreateIslandGaTspSampleTest" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
@@ -35,5 +35,5 @@
       <TestLink id="34f3e502-22f0-ecd3-8811-899943d7a5ce" name="RunTabuSearchVRPSampleTest" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
       <TestLink id="ba3a6d8b-65f3-1464-bbba-4f1f3ba5721e" name="RunTabuSearchTspSampleTest" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
-      <TestLink id="04563734-217f-864b-fe15-b97f93e0d476" name="CreateRAPGASchedulingSampleTest" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
+      <TestLink id="c8cecb75-207d-f575-c608-19dcc1793616" name="RunPsoSchwefelSampleTest" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
     </TestLinks>
   </TestList>
@@ -57,15 +57,16 @@
     <Description>This should be run whenever a new plugin is added or a plugin dependency or an assembly reference is added, updated, or deleted.</Description>
     <TestLinks>
+      <TestLink id="ee3fccd7-766b-ab66-eb4d-f99fb11310a3" name="TestCloningConstructor" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
+      <TestLink id="5b2c47f1-9468-ac34-8edd-f59a7c139445" name="CheckReferenceAssembliesForPluginDependencies" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
+      <TestLink id="05841aed-16ec-a0b7-0688-45c1366b1cd3" name="NamedItemTestNameNotEmpty" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
+      <TestLink id="ebcbe255-075f-7ef2-c6e4-8c22202e1c7a" name="BuildTypeTest" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
       <TestLink id="715a0741-e8c1-ea5c-5a6f-fbbae30e95a8" name="InstantiateAllCreatables" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
+      <TestLink id="3df6f9a5-55f4-db76-f0c1-f49377067ea8" name="ContentViewAttributeTest" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
+      <TestLink id="cc872b4f-4e35-33c8-8289-5a4cf3cbbce6" name="TestToString" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
       <TestLink id="504d733a-e966-67b0-0ba8-3b4888281cf4" name="TestStorableConstructor" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
-      <TestLink id="cc872b4f-4e35-33c8-8289-5a4cf3cbbce6" name="TestToString" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
+      <TestLink id="55966e1d-fca8-fba9-a841-59c773f773c7" name="TestParameterVisibility" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
       <TestLink id="0ce573f2-91a8-3077-eecc-904f97bdb9c0" name="TestCloningAllDeepCloneables" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
-      <TestLink id="5b2c47f1-9468-ac34-8edd-f59a7c139445" name="CheckReferenceAssembliesForPluginDependencies" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
       <TestLink id="d97af6e5-d9b9-5659-4bed-f5dc07ae803c" name="CollectGASample" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
-      <TestLink id="ee3fccd7-766b-ab66-eb4d-f99fb11310a3" name="TestCloningConstructor" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
       <TestLink id="9c0cdbd0-5ad5-51ee-cae0-8fad5012ea71" name="IsSubTypeOfTest" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
-      <TestLink id="55966e1d-fca8-fba9-a841-59c773f773c7" name="TestParameterVisibility" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
-      <TestLink id="ebcbe255-075f-7ef2-c6e4-8c22202e1c7a" name="BuildTypeTest" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
-      <TestLink id="3df6f9a5-55f4-db76-f0c1-f49377067ea8" name="ContentViewAttributeTest" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
       <TestLink id="bf0dd0b1-2095-ee2b-0e5a-270d61f3e645" name="CheckPluginDependenciesForReferencedAssemblies" storage="heuristiclab.tests\bin\heuristiclab.tests.dll" type="Microsoft.VisualStudio.TestTools.TestTypes.Unit.UnitTestElement, Microsoft.VisualStudio.QualityTools.Tips.UnitTest.ObjectModel, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
     </TestLinks>
Index: trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/NamedItemTest.cs
===================================================================
--- trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/NamedItemTest.cs	(revision 9819)
+++ trunk/sources/HeuristicLab.Tests/HeuristicLab-3.3/NamedItemTest.cs	(revision 9820)
@@ -6,5 +6,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Tests.HeuristicLab_3._3 {
+namespace HeuristicLab.Tests {
   [TestClass]
   public class NamedItemTest {