Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ParameterConfigurationTree.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ParameterConfigurationTree.cs	(revision 8157)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ParameterConfigurationTree.cs	(revision 9823)
@@ -166,5 +166,9 @@
       ProblemConfiguration.ValuesReadOnly = true;
     }
-    public ParameterConfigurationTree() { }
+
+    public ParameterConfigurationTree()
+      : base() {
+      Name = "Parameter Configuration Tree";
+    }
     [StorableConstructor]
     protected ParameterConfigurationTree(bool deserializing) : base(deserializing) { }
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/SymbolicExpressionGrammar/SymbolicExpressionGrammarValueConfiguration.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/SymbolicExpressionGrammar/SymbolicExpressionGrammarValueConfiguration.cs	(revision 8157)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/SymbolicExpressionGrammar/SymbolicExpressionGrammarValueConfiguration.cs	(revision 9823)
@@ -12,5 +12,9 @@
     [StorableConstructor]
     protected SymbolicExpressionGrammarValueConfiguration(bool deserializing) : base(deserializing) { }
-    public SymbolicExpressionGrammarValueConfiguration() : base() { }
+
+    public SymbolicExpressionGrammarValueConfiguration()
+      : base() {
+      Name = "Symbolic Expression Grammar Value Configuration";
+    }
     public SymbolicExpressionGrammarValueConfiguration(ISymbolicExpressionGrammar grammar) {
       this.IsOptimizable = true;
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/NullValueConfiguration.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/NullValueConfiguration.cs	(revision 8157)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/NullValueConfiguration.cs	(revision 9823)
@@ -8,7 +8,9 @@
   public class NullValueConfiguration : ValueConfiguration {
 
-    public NullValueConfiguration() {
-      this.ActualValue = new ConstrainedValue(null, null, null, true);
-      this.IsOptimizable = false;
+    public NullValueConfiguration()
+      : base() {
+      ActualValue = new ConstrainedValue(null, null, null, true);
+      IsOptimizable = false;
+      Name = "Null Value Configuration";
     }
     [StorableConstructor]
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/ParameterizedValueConfiguration.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/ParameterizedValueConfiguration.cs	(revision 8157)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/ParameterizedValueConfiguration.cs	(revision 9823)
@@ -62,6 +62,8 @@
     [StorableConstructor]
     protected ParameterizedValueConfiguration(bool deserializing) : base(deserializing) { }
-    public ParameterizedValueConfiguration() {
-      this.ParameterConfigurations = new ItemList<IParameterConfiguration>();
+    public ParameterizedValueConfiguration()
+      : base() {
+      Name = "Parameterized Value Configuration";
+      ParameterConfigurations = new ItemList<IParameterConfiguration>();
     }
     public ParameterizedValueConfiguration(IItem value, Type valueDataType, bool discoverValidValues)
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/RangeValueConfiguration.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/RangeValueConfiguration.cs	(revision 8157)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/RangeValueConfiguration.cs	(revision 9823)
@@ -25,6 +25,7 @@
     [StorableConstructor]
     protected RangeValueConfiguration(bool deserializing) : base(deserializing) { }
-    public RangeValueConfiguration() {
-
+    public RangeValueConfiguration()
+      : base() {
+      Name = "Range Value Configuration";
     }
     protected RangeValueConfiguration(RangeValueConfiguration original, Cloner cloner)