Index: /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ParameterConfigurationTree.cs
===================================================================
--- /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ParameterConfigurationTree.cs	(revision 9826)
+++ /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ParameterConfigurationTree.cs	(revision 9827)
@@ -167,8 +167,4 @@
     }
 
-    public ParameterConfigurationTree()
-      : base() {
-      Name = "Parameter Configuration Tree";
-    }
     [StorableConstructor]
     protected ParameterConfigurationTree(bool deserializing) : base(deserializing) { }
Index: /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/SymbolicExpressionGrammar/SymbolicExpressionGrammarValueConfiguration.cs
===================================================================
--- /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/SymbolicExpressionGrammar/SymbolicExpressionGrammarValueConfiguration.cs	(revision 9826)
+++ /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/SymbolicExpressionGrammar/SymbolicExpressionGrammarValueConfiguration.cs	(revision 9827)
@@ -12,12 +12,8 @@
     [StorableConstructor]
     protected SymbolicExpressionGrammarValueConfiguration(bool deserializing) : base(deserializing) { }
-
-    public SymbolicExpressionGrammarValueConfiguration()
-      : base() {
-      Name = "Symbolic Expression Grammar Value Configuration";
-    }
     public SymbolicExpressionGrammarValueConfiguration(ISymbolicExpressionGrammar grammar) {
       this.IsOptimizable = true;
       this.ActualValue = new ConstrainedValue(grammar, grammar.GetType(), new ItemSet<IItem> { grammar }, false);
+      this.Name = grammar.ItemName;
     }
     protected SymbolicExpressionGrammarValueConfiguration(SymbolicExpressionGrammarValueConfiguration original, Cloner cloner)
Index: /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/NullValueConfiguration.cs
===================================================================
--- /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/NullValueConfiguration.cs	(revision 9826)
+++ /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/NullValueConfiguration.cs	(revision 9827)
@@ -7,10 +7,9 @@
   [StorableClass]
   public class NullValueConfiguration : ValueConfiguration {
-
     public NullValueConfiguration()
       : base() {
       ActualValue = new ConstrainedValue(null, null, null, true);
       IsOptimizable = false;
-      Name = "Null Value Configuration";
+      Name = "NullValueConfiguration";
     }
     [StorableConstructor]
Index: /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/ParameterizedValueConfiguration.cs
===================================================================
--- /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/ParameterizedValueConfiguration.cs	(revision 9826)
+++ /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/ParameterizedValueConfiguration.cs	(revision 9827)
@@ -62,8 +62,7 @@
     [StorableConstructor]
     protected ParameterizedValueConfiguration(bool deserializing) : base(deserializing) { }
-    public ParameterizedValueConfiguration()
+    protected ParameterizedValueConfiguration()
       : base() {
-      Name = "Parameterized Value Configuration";
-      ParameterConfigurations = new ItemList<IParameterConfiguration>();
+      this.ParameterConfigurations = new ItemList<IParameterConfiguration>();
     }
     public ParameterizedValueConfiguration(IItem value, Type valueDataType, bool discoverValidValues)
Index: /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/RangeValueConfiguration.cs
===================================================================
--- /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/RangeValueConfiguration.cs	(revision 9826)
+++ /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/RangeValueConfiguration.cs	(revision 9827)
@@ -25,8 +25,4 @@
     [StorableConstructor]
     protected RangeValueConfiguration(bool deserializing) : base(deserializing) { }
-    public RangeValueConfiguration()
-      : base() {
-      Name = "Range Value Configuration";
-    }
     protected RangeValueConfiguration(RangeValueConfiguration original, Cloner cloner)
       : base(original, cloner) {
@@ -36,4 +32,5 @@
     public RangeValueConfiguration(IItem value, Type valueDataType)
       : base(value, valueDataType) {
+      this.Name = value.ItemName;
       if (actualValue.ValueDataType == typeof(IntValue)) {
         RangeConstraint = new IntValueRange(new IntValue(0), (IntValue)value.Clone(), new IntValue(1));
Index: /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/ValueConfiguration.cs
===================================================================
--- /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/ValueConfiguration.cs	(revision 9826)
+++ /branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/ValueConfiguration.cs	(revision 9827)
@@ -10,12 +10,4 @@
   [StorableClass]
   public abstract class ValueConfiguration : NamedItem, IValueConfiguration {
-    public override bool CanChangeName {
-      get { return true; }
-    }
-
-    public override bool CanChangeDescription {
-      get { return true; }
-    }
-
     [Storable]
     protected bool isOptimizable;
@@ -85,10 +77,11 @@
 
     #region Constructors and Cloning
-    public ValueConfiguration(IItem value, Type valueDataType) {
+    protected ValueConfiguration(IItem value, Type valueDataType) {
       this.ActualValue = new ConstrainedValue(value, valueDataType, new ItemSet<IItem> { value }, false);
       this.IsOptimizable = true;
+      this.Name = value == null ? "ValueConfiguration" : value.ItemName;
     }
 
-    public ValueConfiguration() { }
+    protected ValueConfiguration() { }
     [StorableConstructor]
     protected ValueConfiguration(bool deserializing) { }