Index: branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/GpdlExampleProvider.cs
===================================================================
--- branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/GpdlExampleProvider.cs	(revision 9843)
+++ branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/GpdlExampleProvider.cs	(revision 9844)
@@ -34,4 +34,6 @@
           new GpdlExampleDataDescriptor("Fibonacci", "Evolve a problem to calculate the fibonacci function.", Resources.Fib),
           new GpdlExampleDataDescriptor("Multi-output multiplier", "Evolve a multi-output multiplier.", Resources.multi_output_multiplier),
+          new GpdlExampleDataDescriptor("Even parity", "The even parity (4) benchmark problem.", Resources.EvenParity), 
+          new GpdlExampleDataDescriptor("Multiplexer (11)", "The Mux-11 multiplexer benchmark problem.", Resources.Multiplexer), 
           new GpdlExampleDataDescriptor("Symbolic Regression (HEAL-style)", "A symbolic regression problem for genetic programming, using weights for variables.", Resources.symbreg_HEAL),
           new GpdlExampleDataDescriptor("Symbolic Regression (Koza-style)", "Koza-style symbolic regression problem for genetic programming.", Resources.symbreg_Koza),
Index: branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/HeuristicLab.Problems.GPDL.Views-3.4.csproj
===================================================================
--- branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/HeuristicLab.Problems.GPDL.Views-3.4.csproj	(revision 9843)
+++ branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/HeuristicLab.Problems.GPDL.Views-3.4.csproj	(revision 9844)
@@ -263,4 +263,6 @@
       <CopyToOutputDirectory>Always</CopyToOutputDirectory>
     </Content>
+    <None Include="Resources\Multiplexer.txt" />
+    <None Include="Resources\EvenParity.txt" />
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/Properties/Resources.Designer.cs
===================================================================
--- branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/Properties/Resources.Designer.cs	(revision 9843)
+++ branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/Properties/Resources.Designer.cs	(revision 9844)
@@ -2,5 +2,5 @@
 // <auto-generated>
 //     This code was generated by a tool.
-//     Runtime Version:4.0.30319.18047
+//     Runtime Version:4.0.30319.18052
 //
 //     Changes to this file may cause incorrect behavior and will be lost if
@@ -90,4 +90,36 @@
         
         /// <summary>
+        ///   Looks up a localized string similar to PROBLEM EvenParity
+        ///CODE &lt;&lt;
+        ///  const int N = 5;
+        ///&gt;&gt;
+        ///
+        ///NONTERMINALS
+        ///  Expr&lt;&lt;bool[] d, out bool p&gt;&gt;.
+        ///  AND&lt;&lt;bool[] d, out bool p&gt;&gt;.
+        ///  OR&lt;&lt;bool[] d, out bool p&gt;&gt;.
+        ///  NAND&lt;&lt;bool[] d, out bool p&gt;&gt;.
+        ///  NOR&lt;&lt;bool[] d, out bool p&gt;&gt;.
+        ///
+        ///TERMINALS
+        ///  D&lt;&lt;out int val&gt;&gt; 
+        ///    CONSTRAINTS 
+        ///      val IN SET &lt;&lt;Enumerable.Range(0, N);&gt;&gt;
+        ///  .
+        ///
+        ///RULES
+        ///  Expr&lt;&lt;bool[] d, out bool p&gt;&gt; =                           LOCAL&lt;&lt; int val = 0; &gt;&gt;
+        ///    AND&lt;&lt;d, out p&gt;&gt;
+        ///    | OR&lt;&lt;d, out p&gt;&gt;
+        ///    | NAND&lt;&lt;d, out p&gt;&gt;
+        ///    | NOR&lt;&lt;d, out p [rest of string was truncated]&quot;;.
+        /// </summary>
+        internal static string EvenParity {
+            get {
+                return ResourceManager.GetString("EvenParity", resourceCulture);
+            }
+        }
+        
+        /// <summary>
         ///   Looks up a localized string similar to PROBLEM Factorial
         ///CODE&lt;&lt;
@@ -146,18 +178,15 @@
         
         /// <summary>
-        ///   Looks up a localized string similar to &lt;!-- Syntax definition of GPDL for Avalonedit syntax highlighting --&gt;
+        ///   Looks up a localized string similar to &lt;!-- Syntax definition of GPDL for AvalonEdit syntax highlighting --&gt;
         ///&lt;SyntaxDefinition name=&quot;GPDL&quot;
         ///        xmlns=&quot;http://icsharpcode.net/sharpdevelop/syntaxdefinition/2008&quot;&gt;
         ///  &lt;Color name=&quot;Comment&quot; foreground=&quot;Green&quot; /&gt;
-        ///  &lt;Color name=&quot;String&quot; foreground=&quot;Blue&quot; /&gt;
+        ///  &lt;Color name=&quot;SourceCode&quot; foreground=&quot;SlateGray&quot; /&gt;
         ///
         ///  &lt;!-- This is the main ruleset. --&gt;
-        ///  &lt;RuleSet&gt;
-        ///    &lt;Span color=&quot;Comment&quot; multiline=&quot;true&quot; nested=&quot;true&quot;
-        ///       begin=&quot;/\*&quot; end=&quot;\*/&quot; /&gt;
-        ///
-        ///    &lt;Span color=&quot;SourceCode&quot; multiline=&quot;true&quot;
-        ///       begin=&quot;&amp;lt;&amp;lt;&quot; end=&quot;&amp;gt;&amp;gt;&quot; /&gt;
-        ///    &lt;K [rest of string was truncated]&quot;;.
+        ///  &lt;RuleSet ignoreCase=&quot;true&quot;&gt;
+        ///    &lt;Span color=&quot;Comment&quot; multiline=&quot;true&quot; begin=&quot;/\*&quot; end=&quot;\*/&quot; /&gt;
+        ///    &lt;Span color=&quot;SourceCode&quot; multiline=&quot;true&quot; begin=&quot;&amp;lt;&amp;lt;&quot; end=&quot;&amp;gt;&amp;gt;&quot;&gt;
+        ///      &lt;RuleSe [rest of string was truncated]&quot;;.
         /// </summary>
         internal static string GPDL {
@@ -188,9 +217,37 @@
         
         /// <summary>
+        ///   Looks up a localized string similar to PROBLEM Multiplexer
+        ///
+        ///NONTERMINALS
+        ///  Expr&lt;&lt;bool[] d, out bool p&gt;&gt;.
+        ///  AND&lt;&lt;bool[] d, out bool p&gt;&gt;.
+        ///  OR&lt;&lt;bool[] d, out bool p&gt;&gt;.
+        ///  NOT&lt;&lt;bool[] d, out bool p&gt;&gt;.
+        ///  IF&lt;&lt;bool[] d, out bool p&gt;&gt;.
+        ///
+        ///TERMINALS
+        ///  A0. A1. A2. A2. D0. D1. D2. D3. D4. D5. D6. D7.
+        ///
+        ///RULES
+        ///  Expr&lt;&lt;bool[] d, out bool o&gt;&gt; =
+        ///    AND&lt;&lt;d, out p&gt;&gt;
+        ///    | OR&lt;&lt;d, out p&gt;&gt;
+        ///    | NOT&lt;&lt;d, out p&gt;&gt;
+        ///    | IF&lt;&lt;d, out p&gt;&gt;
+        ///    | A0                                                   SEM&lt;&lt; p = d[0]; &gt;&gt;
+        ///    | A1                                   [rest of string was truncated]&quot;;.
+        /// </summary>
+        internal static string Multiplexer {
+            get {
+                return ResourceManager.GetString("Multiplexer", resourceCulture);
+            }
+        }
+        
+        /// <summary>
         ///   Looks up a localized string similar to PROBLEM SymbReg
         ///
         ///CODE &lt;&lt;
-        ///  double[,] inputValues;
-        ///  double[] targetValues;
+        ///  double[,] x;
+        ///  double[] y;
         ///  string[] variableNames;
         ///  Dictionary&lt;string,int&gt; nameToCol;
@@ -204,8 +261,8 @@
         ///      }
         ///    }
-        ///    return data[row, nameToCol[varName]];
-        ///  }
-        ///
-        ///  double RSquared(IEnumerable&lt;double&gt;  [rest of string was truncated]&quot;;.
+        ///    return x[row, nameToCol[varName]];
+        ///  }
+        ///
+        ///  double RSquared(IEnumerable&lt;double&gt; xs, IEnumerable&lt;double&gt;  [rest of string was truncated]&quot;;.
         /// </summary>
         internal static string symbreg_HEAL {
@@ -218,6 +275,6 @@
         ///   Looks up a localized string similar to PROBLEM SymbRegKoza
         ///CODE &lt;&lt;
-        ///  double[,] inputValues;
-        ///  double[] targetValues;
+        ///  double[,] x;
+        ///  double[] y;
         ///  string[] variableNames;
         ///  Dictionary&lt;string,int&gt; nameToCol;
@@ -231,8 +288,8 @@
         ///      }
         ///    }
-        ///    return data[row, nameToCol[varName]];
-        ///  }
-        ///
-        ///  double RSquared(IEnumerable&lt;double [rest of string was truncated]&quot;;.
+        ///    return x[row, nameToCol[varName]];
+        ///  }
+        ///
+        ///  double RSquared(IEnumerable&lt;double&gt; xs, IEnumerable&lt;double [rest of string was truncated]&quot;;.
         /// </summary>
         internal static string symbreg_Koza {
Index: branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/Properties/Resources.resx
===================================================================
--- branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/Properties/Resources.resx	(revision 9843)
+++ branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/Properties/Resources.resx	(revision 9844)
@@ -122,4 +122,7 @@
     <value>..\Resources\Artificial Ant.txt;System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089;Windows-1252</value>
   </data>
+  <data name="EvenParity" type="System.Resources.ResXFileRef, System.Windows.Forms">
+    <value>..\resources\evenparity.txt;System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089;Windows-1252</value>
+  </data>
   <data name="Factorial" type="System.Resources.ResXFileRef, System.Windows.Forms">
     <value>..\Resources\Factorial.txt;System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089;Windows-1252</value>
@@ -130,4 +133,7 @@
   <data name="GPDL" type="System.Resources.ResXFileRef, System.Windows.Forms">
     <value>..\Resources\GPDL.xshd;System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089;utf-8</value>
+  </data>
+  <data name="Multiplexer" type="System.Resources.ResXFileRef, System.Windows.Forms">
+    <value>..\resources\multiplexer.txt;System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089;Windows-1252</value>
   </data>
   <data name="multi_output_multiplier" type="System.Resources.ResXFileRef, System.Windows.Forms">
Index: branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/Resources/EvenParity.txt
===================================================================
--- branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/Resources/EvenParity.txt	(revision 9844)
+++ branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/Resources/EvenParity.txt	(revision 9844)
@@ -0,0 +1,70 @@
+PROBLEM EvenParity
+CODE <<
+  const int N = 5;
+>>
+
+NONTERMINALS
+  Expr<<bool[] d, out bool p>>.
+  AND<<bool[] d, out bool p>>.
+  OR<<bool[] d, out bool p>>.
+  NAND<<bool[] d, out bool p>>.
+  NOR<<bool[] d, out bool p>>.
+
+TERMINALS
+  D<<out int val>> 
+    CONSTRAINTS 
+      val IN SET <<Enumerable.Range(0, N);>>
+  .
+
+RULES
+  Expr<<bool[] d, out bool p>> =                           LOCAL<< int val = 0; >>
+    AND<<d, out p>>
+    | OR<<d, out p>>
+    | NAND<<d, out p>>
+    | NOR<<d, out p>>
+    | D<<out val>>                                         SEM<< p = d[val]; >>
+  .
+
+  AND<<bool[] d, out bool p>> =                            LOCAL << bool p1, p2; >>
+    Expr<<d, out p1>> Expr<<d, out p2>>                    SEM << p = p1 & p2; >>
+  .
+
+  OR<<bool[] d, out bool p>> =                             LOCAL << bool p1, p2; >>
+    Expr<<d, out p1>> Expr<<d, out p2>>                    SEM << p = p1 | p2; >>
+  .
+
+  NAND<<bool[] d, out bool p>> =                           LOCAL << bool p1, p2; >>
+    Expr<<d, out p1>> Expr<<d, out p2>>                    SEM << p = !(p1 & p2); >>
+  .
+
+  NOR<<bool[] d, out bool p>> =                            LOCAL << bool p1, p2; >>
+    Expr<<d, out p1>> Expr<<d, out p2>>                    SEM << p = !(p1 | p2); >>
+  .
+
+MINIMIZE
+  << 
+    bool[] d = new bool[N];
+    int mistakes = 0;
+    for(int i = 0; i < Math.Pow(2, N); i++) {
+      // generate bit-vector and count number of 1-bits
+      int x = i;
+      int nBitsOne = 0;
+      for(int j = 0; j < N; j++) {
+        if((x % 2) == 1) {
+          d[N - j - 1] = true;
+          nBitsOne++;
+        } else {
+          d[N - j - 1] = false;
+        }
+        x = (x / 2);
+      }
+      bool target = (nBitsOne % 2) == 0;
+      // apply model
+      bool p;
+      Expr(d, out p);
+
+      if(p != target) mistakes++;
+    }
+    return mistakes;
+  >>
+END EvenParity.
Index: branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/Resources/Multiplexer.txt
===================================================================
--- branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/Resources/Multiplexer.txt	(revision 9844)
+++ branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/Resources/Multiplexer.txt	(revision 9844)
@@ -0,0 +1,72 @@
+PROBLEM Multiplexer
+
+NONTERMINALS
+  Expr<<bool[] d, out bool o>>.
+  AND<<bool[] d, out bool o>>.
+  OR<<bool[] d, out bool o>>.
+  NOT<<bool[] d, out bool o>>.
+  IF<<bool[] d, out bool o>>.
+
+TERMINALS
+  A0. A1. A2. D0. D1. D2. D3. D4. D5. D6. D7.
+
+RULES
+  Expr<<bool[] d, out bool o>> =
+    AND<<d, out o>>
+    | OR<<d, out o>>
+    | NOT<<d, out o>>
+    | IF<<d, out o>>
+    | A0                                                   SEM<< o = d[0]; >>
+    | A1                                                   SEM<< o = d[1]; >>
+    | A2                                                   SEM<< o = d[2]; >>
+    | D0                                                   SEM<< o = d[3]; >>
+    | D1                                                   SEM<< o = d[4]; >>
+    | D2                                                   SEM<< o = d[5]; >>
+    | D3                                                   SEM<< o = d[6]; >>
+    | D4                                                   SEM<< o = d[7]; >>
+    | D5                                                   SEM<< o = d[8]; >>
+    | D6                                                   SEM<< o = d[9]; >>
+    | D7                                                   SEM<< o = d[10]; >>
+  .
+
+  AND<<bool[] d, out bool o>> =                            LOCAL << bool o1, o2; >>
+    Expr<<d, out o1>> Expr<<d, out o2>>                    SEM << o = o1 & o2; >>
+  .
+
+  OR<<bool[] d, out bool o>> =                             LOCAL << bool o1, o2; >>
+    Expr<<d, out o1>> Expr<<d, out o2>>                    SEM << o = o1 | o2; >>
+  .
+
+  NOT<<bool[] d, out bool o>> =
+    Expr<<d, out o>>                                       SEM << o = !o; >>
+  .
+
+  IF<<bool[] d, out bool o>> =                             LOCAL << bool pred; >>
+    Expr<<d, out pred>>                                    SEM << if(pred) { >> 
+    Expr<<d, out o>>                                       SEM << } else { >>
+    Expr<<d, out o>>                                       SEM << } >>
+  .
+
+MINIMIZE
+  << 
+    int N = 11;
+    bool[] d = new bool[N];
+    int mistakes = 0;
+    for(int i = 0; i < Math.Pow(2, N); i++) {
+      // generate bit-vector and count number of 1-bits
+      int x = i;
+      for(int j = 0; j < N; j++) {
+        d[N - j - 1] = ((x % 2) == 1);
+        x = (x / 2);
+      }
+      bool target = d[3 + (d[0] ? 1:0) + 2 * (d[1] ? 1:0) + 4 * (d[2] ? 1:0)];
+
+      // apply model
+      bool p;
+      Expr(d, out p);
+
+      if(p != target) mistakes++;
+    }
+    return mistakes;
+  >>
+END Multiplexer.
Index: branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL/3.4/GPDef.atg
===================================================================
--- branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL/3.4/GPDef.atg	(revision 9843)
+++ branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL/3.4/GPDef.atg	(revision 9844)
@@ -141,5 +141,5 @@
                                                                                     tNode = null;
                                                                                     TerminalNode myTNode = null;
-                                                                                    IEnumerableConstraintNode constraints = null;
+                                                                                    IEnumerableConstraintNode constraints = new List<ConstraintNode>();
                                                                                     string src = "";
                                                                                   .)
@@ -152,6 +152,6 @@
                                                                                          myTNode.FieldDefinitions = SourceReader.ExtractFormalParameters(src);
                                                                                   .)
-  [ "CONSTRAINTS" ConstraintDef<out constraints>                                  (. myTNode.Constraints = constraints; .)
-  ]
+  [ "CONSTRAINTS" ConstraintDef<out constraints>
+  ]                                                                               (. myTNode.Constraints = constraints; .)
   '.'
   .
Index: branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL/3.4/Parser.cs
===================================================================
--- branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL/3.4/Parser.cs	(revision 9843)
+++ branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL/3.4/Parser.cs	(revision 9844)
@@ -206,5 +206,5 @@
 		tNode = null;
 		TerminalNode myTNode = null;
-		IEnumerableConstraintNode constraints = null;
+		IEnumerableConstraintNode constraints = new List<ConstraintNode>();
 		string src = "";
 		
@@ -223,6 +223,6 @@
 			Get();
 			ConstraintDef(out constraints);
-			myTNode.Constraints = constraints; 
-		}
+		}
+		myTNode.Constraints = constraints; 
 		Expect(13);
 	}
Index: branches/HeuristicLab.Problems.GPDL/Test/Test.csproj
===================================================================
--- branches/HeuristicLab.Problems.GPDL/Test/Test.csproj	(revision 9843)
+++ branches/HeuristicLab.Problems.GPDL/Test/Test.csproj	(revision 9844)
@@ -22,5 +22,5 @@
     <DebugType>full</DebugType>
     <Optimize>false</Optimize>
-    <OutputPath>..\..\..\..\trunk\sources\bin\</OutputPath>
+    <OutputPath>..\trunk\sources\bin\</OutputPath>
     <DefineConstants>DEBUG;TRACE</DefineConstants>
     <ErrorReport>prompt</ErrorReport>
@@ -30,5 +30,5 @@
     <DebugType>pdbonly</DebugType>
     <Optimize>true</Optimize>
-    <OutputPath>..\..\..\..\trunk\sources\bin\</OutputPath>
+    <OutputPath>..\..\..\trunk\sources\bin\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
     <ErrorReport>prompt</ErrorReport>
@@ -38,49 +38,64 @@
     <Reference Include="ALGLIB-3.7.0">
       <HintPath>..\..\..\trunk\sources\bin\ALGLIB-3.7.0.dll</HintPath>
+      <Private>True</Private>
     </Reference>
     <Reference Include="HeuristicLab.Algorithms.GeneticAlgorithm-3.3">
       <HintPath>..\..\..\trunk\sources\bin\HeuristicLab.Algorithms.GeneticAlgorithm-3.3.dll</HintPath>
+      <Private>True</Private>
     </Reference>
     <Reference Include="HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm-3.3">
       <HintPath>..\..\..\trunk\sources\bin\HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm-3.3.dll</HintPath>
+      <Private>True</Private>
     </Reference>
     <Reference Include="HeuristicLab.Common-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
       <SpecificVersion>False</SpecificVersion>
       <HintPath>..\..\..\trunk\sources\bin\HeuristicLab.Common-3.3.dll</HintPath>
+      <Private>True</Private>
     </Reference>
     <Reference Include="HeuristicLab.Core-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
       <SpecificVersion>False</SpecificVersion>
       <HintPath>..\..\..\trunk\sources\bin\HeuristicLab.Core-3.3.dll</HintPath>
+      <Private>True</Private>
     </Reference>
     <Reference Include="HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4">
       <HintPath>..\..\..\trunk\sources\bin\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.4.dll</HintPath>
+      <Private>True</Private>
     </Reference>
     <Reference Include="HeuristicLab.Operators-3.3">
       <HintPath>..\..\..\trunk\sources\bin\HeuristicLab.Operators-3.3.dll</HintPath>
+      <Private>True</Private>
     </Reference>
     <Reference Include="HeuristicLab.Optimization-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
       <SpecificVersion>False</SpecificVersion>
       <HintPath>..\..\..\trunk\sources\bin\HeuristicLab.Optimization-3.3.dll</HintPath>
+      <Private>True</Private>
     </Reference>
     <Reference Include="HeuristicLab.Optimization.Operators-3.3">
       <HintPath>..\..\..\trunk\sources\bin\HeuristicLab.Optimization.Operators-3.3.dll</HintPath>
+      <Private>True</Private>
     </Reference>
     <Reference Include="HeuristicLab.ParallelEngine-3.3">
       <HintPath>..\..\..\trunk\sources\bin\HeuristicLab.ParallelEngine-3.3.dll</HintPath>
+      <Private>True</Private>
     </Reference>
     <Reference Include="HeuristicLab.Problems.DataAnalysis-3.4">
       <HintPath>..\..\..\trunk\sources\bin\HeuristicLab.Problems.DataAnalysis-3.4.dll</HintPath>
+      <Private>True</Private>
     </Reference>
     <Reference Include="HeuristicLab.Problems.Instances-3.3">
       <HintPath>..\..\..\trunk\sources\bin\HeuristicLab.Problems.Instances-3.3.dll</HintPath>
+      <Private>True</Private>
     </Reference>
     <Reference Include="HeuristicLab.Problems.Instances.DataAnalysis-3.3">
       <HintPath>..\..\..\trunk\sources\bin\HeuristicLab.Problems.Instances.DataAnalysis-3.3.dll</HintPath>
+      <Private>True</Private>
     </Reference>
     <Reference Include="HeuristicLab.Random-3.3">
       <HintPath>..\..\..\trunk\sources\bin\HeuristicLab.Random-3.3.dll</HintPath>
+      <Private>True</Private>
     </Reference>
     <Reference Include="HeuristicLab.SequentialEngine-3.3">
       <HintPath>..\..\..\trunk\sources\bin\HeuristicLab.SequentialEngine-3.3.dll</HintPath>
+      <Private>True</Private>
     </Reference>
     <Reference Include="System" />
@@ -107,8 +122,10 @@
       <Project>{3f9e665a-3dcb-49c3-8806-0e47fc48ea52}</Project>
       <Name>HeuristicLab.Problems.GPDL.Views-3.4</Name>
+      <Private>True</Private>
     </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.Problems.GPDL\3.4\HeuristicLab.Problems.GPDL-3.4.csproj">
       <Project>{E4EE5AFB-D552-447B-8A16-6CBE7938AF32}</Project>
       <Name>HeuristicLab.Problems.GPDL-3.4</Name>
+      <Private>True</Private>
     </ProjectReference>
   </ItemGroup>